Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 246643 - [New ebuild] sys-apps/devicekit
Summary: [New ebuild] sys-apps/devicekit
Status: VERIFIED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL: http://hal.freedesktop.org/docs/Devic...
Whiteboard:
Keywords: InVCS
Depends on:
Blocks:
 
Reported: 2008-11-13 20:50 UTC by Mikel Olasagasti
Modified: 2010-01-02 14:34 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
devicekit-002.ebuild (devicekit-002.ebuild,823 bytes, text/plain)
2008-11-13 20:51 UTC, Mikel Olasagasti
Details
devicekit-power-002.ebuild (devicekit-power-002.ebuild,927 bytes, text/plain)
2008-11-13 20:51 UTC, Mikel Olasagasti
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mikel Olasagasti 2008-11-13 20:50:20 UTC
Ebuild for initial releases of DeviceKit and DeviceKit-power
Comment 1 Mikel Olasagasti 2008-11-13 20:51:06 UTC
Created attachment 171657 [details]
devicekit-002.ebuild
Comment 2 Mikel Olasagasti 2008-11-13 20:51:28 UTC
Created attachment 171659 [details]
devicekit-power-002.ebuild
Comment 3 Neil Funk 2009-03-15 18:48:20 UTC
What is the future, if any, of DeviceKit on Gentoo?
Upstream's release notes for version 003 (http://lists.freedesktop.org/archives/devkit-devel/2009-March/000123.html) say, "This is probably the last release of DeviceKit. The functionality of DeviceKit is going to be merged into the udev-extras with the only changes being the D-Bus name as well as the prefix for the GObject library and the command line tool."
Latest version of sys-fs/udev in ~x86 is 135-r4, but latest on kernel.org is 140.  Does anyone know if that latest version obviates the need for DeviceKit on Gentoo?
Comment 4 Nirbheek Chauhan (RETIRED) gentoo-dev 2009-03-21 17:56:11 UTC
(In reply to comment #3)
> What is the future, if any, of DeviceKit on Gentoo?

This ebuild has been added to the GNOME overlay, and will be a part of GNOME 2.26 when it hits tree
Comment 5 Nirbheek Chauhan (RETIRED) gentoo-dev 2009-03-21 17:57:15 UTC
This bug is essentially fixed per previous comment.
Comment 6 Navid Zamani 2010-01-02 08:26:02 UTC
What about KDE users? And a migration guide?
Comment 7 Rémi Cardona gentoo-dev 2010-01-02 09:28:24 UTC
(In reply to comment #6)
> What about KDE users? And a migration guide?
> 

There's nothing to migrate, devicekit was essentially stateless (it just forwarded udev events on the system bus).